---
title: "Orekit 7.1 released"
excerpt: "This minor release introduces many new events and enhancements"
layout: post_orekit
publication_year: 2016
date: 2016-02-07 15:14:59 +0100
modified: 2016-02-07 15:14:59 +0100
project: orekit
categories:
- News
tags:
- news
- release
---

Version 7.1 is a minor release of Orekit. It introduces several new
features and bug fixes. The most important features introduced in version 7.1
are:

* a lot of new event detectors

  * field of view based detectors supporting any FoV shape,
    either on ground targetting spacecraft or on spacecraft and targetting
    ground defined zones with any shape

  * extremum elevation detector, anomaly, latitude argument, or longitude
    argument crossing detectors, either true, mean or eccentric,

  * latitude and longitude extremum detectors,

  * latitude and longitude crossing detectors

* new event filtering capability based on user-provided predicate function,

* ability to customize DSST interpolation grid for short period elements,

* ability to retrieve DSS short periodic coefficients,

* removed some arbitrary limitations in DSST tesseral and zonal contribution,

* ability to set short period degree/order to smaller values than mean elements in DSST

* vastly improved frames transforms efficiency for various Earth frames,

* three different types of solar radiation pressure coefficients,

* new tabulated attitudes related to Local Orbital Frame,

* smooth attitude transitions in attitudes sequences, with derivatives
  continuity at both endpoint,

* ground zone sampling either in tiles or grid with fixed or track-based orientation,

* derivatives handling in geodetic points,

* parsing of TLE with non-unclassified modifiers,

* support for officiel WMM coefficients from NOAA,

* support for tai-utc.dat file from USNO,

* tropospheric refraction model following Recommendation ITU-R P.834-7,

* geoid model based on gravity field,

* use of the new Apache Commons Math rotation API with either Frame transform
  convention or vector operator convention.

Numerous bugs were also fixed.

Version 7.1 depends on version 3.6 of Apache Commons Math.
