---
title: "Orekit 12.0.2 released"
excerpt: "Version 12.0.2 is a patch release of Orekit, including only bug fixes."
layout: post_orekit
publication_year: 2024
date: 2024-03-16 19:00:00 +0100
modified: 2024-03-16 19:00:00 +0100
project: orekit
categories:
- News
tags:
- news
- release
---

The Orekit team is pleased to announce the release of Orekit version 12.0.2.
Version 12.0.2 is a patch release of Orekit, including only bug fixes.

The main changes are:
* Change visibility of InertiaAxis and Inertia constructors to public.
* Allow Rinex V4 observation files to have either "ANTENNA: DELTA X/Y/Z" or "ANTENNA: DELTA H/E/N" header line.
* Field versions of Frame.getStaticTransformTo don't allow null dates (they never did, but the javadoc wrongly stated this was allowed).
* Removed blank lines in SP3 file generation.
* Fixed forbidden SBAS System Time in SP3 files.
* Fixed wrong key for Beidou System Time in SP3 files.
* Fixed wrong parsing of some time systems in SP3 files.
* Fixed incorrect transmitter location in BistaticRange measurement.
* Fix regression in Ephemeris with interpolationPoints=1.
* Fixed loading of UTC (now thread safe).
* Fix DSST Jacobian setup.

This version depends on Hipparchus 3.0

For complete release notes please see:
https://www.orekit.org/site-orekit-12.0.2/changes-report.html

The maven artifacts are available in maven central.
The source and binaries can be retrieved from the forge releases page:
https://gitlab.orekit.org/orekit/orekit/-/releases
