---
title: "3rd Orekit Talk: Orekit for the Global Trajectory Optimisation Competition, by Romain Serra"
excerpt: "The 3rd session of the “Orekit Talks” was held on the 19th of April 2024."
layout: post_orekit
publication_year: 2024
date: 2024-04-23 00:00:00 +0200
modified: 2024-04-23 00:00:00 +0200
project: orekit
categories:
- News
tags:
- news
- symposium
- presentation
---


The 3rd session of the “Orekit Talks” was held on the 19th of April 2024.

The subject was “Orekit for the Global Trajectory Optimisation Competition”.  
Thanks to all the attendees and a special thanks to Romain Serra who presented 
how he used Orekit to compute optimal low-thrust interplanetary transfers for the [GTOC 12][gtoc-12] competition in July 2023 with his team "The Mean Anomalies".

Here is the material from the talk:
* The [slides][romain-slides]
* The [video][romain-recording] of the talk

The references on optimization and the GTOC (see at the end of the slides):

* M. Cerf.
[Optimization techniques ii: Discrete and functional optimization][cerf-pub].
In Optimization Techniques II. EDP Sciences, 2023.

* G. Colasurdo and L. Casalino.
[Indirect methods for the optimization of spacecraft trajectories][colasurdo-pub]
Modeling and Optimization in Space Engineering, pages 141–158, 2013.

* D. Izzo, D. Hennes, L. F. Simões, and M. Märtens.
[Designing complex interplanetary trajectories for the global trajectory optimization competitions][izzo-pub]
Space Engineering: Modeling and Optimization with Case Studies, pages 151–176, 2016.

And the publications by Romain's team(s) for GTOC 9 and 11:
* C. Ortega, L. A. Ricciardi, M. Di Carlo, C. Greco, R. Serra, M. Polnik, A. Vroom, A. Riccardi, E. Minisci, and M. Vasile.
[Gtoc9: Methods and results from Strathclyde university. On the generation and evolution of multiple debris removal missions][ortega-pub-2019]
Acta Futura, 2017.

* C. Ortega, R. Serra, I. Sumelzo, N. Charpigny, J. Labroquère, V. Munoz, J. Olympio, and V. Rodriguez-Fernandez.
[Design of impulsive asteroid flybys and scheduling of time-minimal optimal control arcs for the construction of a dyson ring (gtoc 11)][ortega-pub-2022]
Acta Astronautica, 201:94–110, 2022.

Thanks to all the attendees! 

**We're always happy to organize this kind of event. If you want to present something related to Orekit please contact me or any of the developers, or propose it directly on the forum!!!**

It is open to everyone in the community, you can present your application or product, the only requirement is that it is related to Orekit.

See you soon!

[gtoc-12]: https://sophia.estec.esa.int/gtoc_portal/?page_id=1261
[romain-slides]: /doc/orekit-talks/20240419/2024-04-19-3rd_Orekit_Talk-Romain_Serra-Orekit_at_Gtoc_12.pdf
[romain-recording]: /doc/orekit-talks/20240419/2024-04-19-3rd_Orekit_Talk-Romain_Serra-Orekit_at_Gtoc_12.mp4
[cerf-pub]: https://laboutique.edpsciences.fr/produit/1366/9782759831654/optimization-techniques-ii
[colasurdo-pub]: https://link.springer.com/chapter/10.1007/978-1-4614-4469-5_6
[izzo-pub]: https://www.researchgate.net/publication/283532331_Designing_Complex_Interplanetary_Trajectories_for_the_Global_Trajectory_Optimization_Competitions
[ortega-pub-2019]: https://www.researchgate.net/publication/322364795_GTOC_9_Results_from_University_of_Strathclyde_team_Strath
[ortega-pub-2022]: https://www.researchgate.net/publication/363288989_Design_of_impulsive_asteroid_flybys_and_scheduling_of_time-minimal_optimal_control_arcs_for_the_construction_of_a_Dyson_ring_GTOC_11

