---
title: "OreCzml: A 3D Visualization Library for Orekit"
excerpt: "OreCzml is a tool bridging Orekit with Cesium JS for an easy 3D-visualization of orbital data."
layout: post_orekit
publication_year: 2024
date: 2024-10-29 12:00:00 +0200
modified: 2024-10-29 12:00:00 +0200
project: orekit
categories:
- News
tags:
- news
- release
- oreczml
- 3D-visualization
---

Julien Leblond, intern at CS Group in 2024 within the Orekit team, has a message for the community:

"Hello Orekit community,

The Orekit team would like to present you **[OreCzml](https://gitlab.orekit.org/Zudo/oreczml)**. This library has been designed for the past six months with a unique goal, **helping Orekit's users visualize in 3D outputs of Orekit.**  
In fact, this library uses [CesiumJS™](https://cesium.com/platform/cesiumjs/), which is a JavaScript library for 3D visualization.  
The official release V1.0 is now available [here](https://gitlab.orekit.org/Zudo/oreczml/-/releases). This project is a prototype, and is going to evolve with futher versions.

OreCzml will allow you to display for example:
* satellite orbits
* window visibility for satellite from ground stations
* covariances ellipsoid evolution
* visualisation inter-satellite
* orbital maneuvers
* ground tracks
* field of views
* constellations

And even more!

![earthobservation](https://i.giphy.com/media/v1.Y2lkPTc5MGI3NjExdjQwZXFuMWJlbWJnNzV3aTU4cTFibmdiY3N0N3NsZjhvY2ZjNzFwcCZlcD12MV9pbnRlcm5hbF9naWZfYnlfaWQmY3Q9Zw/QWsSZDpUdEXCeXIo6U/giphy.gif)

![ConstellationLineOfVisu](https://i.giphy.com/media/v1.Y2lkPTc5MGI3NjExd2VnNnBiOXlyZ2IyazF4bTE5b2FkdWtpaWMza3EwYThpMm9xb29hMiZlcD12MV9pbnRlcm5hbF9naWZfYnlfaWQmY3Q9Zw/CAKoEP3hHDJEZNd6KR/giphy-downsized-large.gif)

![groundtrack](https://i.giphy.com/media/v1.Y2lkPTc5MGI3NjExdTBobjczMTV5c3kwbXU2YmNjMWpqZ2lqZnhqZnZwOTJwOHdnbnM2bCZlcD12MV9pbnRlcm5hbF9naWZfYnlfaWQmY3Q9Zw/H75MxF2ReiOjM4gUvN/giphy.gif)

This library has been designed to make Orekit's data more accessible and visually intuitive. We invite you to explore OreCzml and share your feedback. You can also [contribute to its development or raise issues](https://gitlab.orekit.org/Zudo/oreczml/-/issues/?sort=created_date&state=opened&first_page_size=100).

Hoping you will find this tool useful and interesting!

Cheers,
Zudo (Julien Leblond)

PS: To go further, [a repository of a local interface for CesiumJS](https://gitlab.orekit.org/Zudo/oreczml-js-interface) is available."

You will find Julien's original message on the [forum](https://forum.orekit.org/t/oreczml-a-3d-visualization-library-for-orekit/4035).
