#!/bin/sh
#
# A script to create required symbolic links for the website.
#
SITE=_site
MVN_SITES=../mvn-sites

> $SITE/download/.htaccess
for product in $(cd _data ; ls -1d *) ; do
    version_list=$( sed -nE 's,^- *([0-9]+\.[0-9]+(\.[0-9]+)?)$,\1,p' _data/${product}/versions.yml | sort -rV )
    for version in $version_list latest development ; do
        ln -s $MVN_SITES/site-$product-$version $SITE/site-$product-$version
    done
    latest=$( echo $version_list | cut -d ' ' -f 1 )
    if [ "$product" != "orekit-tutorials" ] ; then
        cat <<EOF >> $SITE/download/.htaccess
Redirect  /download/${product}-latest.jar          https://packages.orekit.org/repository/maven-releases/org/orekit/${product}/${latest}/${product}-${latest}.jar
Redirect  /download/${product}-latest-javadoc.jar  https://packages.orekit.org/repository/maven-releases/org/orekit/${product}/${latest}/${product}-${latest}-javadoc.jar
Redirect  /download/${product}-latest-sources.zip  https://gitlab.orekit.org/orekit/${product}/-/archive/${latest}/${product}-${latest}.zip
EOF
    else
        cat <<EOF >> $SITE/download/.htaccess
Redirect  /download/orekit-tutorials-latest-sources.zip  https://gitlab.orekit.org/orekit/orekit-tutorials/-/archive/${latest}/orekit-tutorials-${latest}.zip
EOF
    fi
done
